# namespace::clean::_Util is a private package
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(namespace::clean::_Util\\)

Summary:	Keep imports and functions out of your namespace
Name:		perl-namespace-clean
Version:	0.27
Release:	3%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/namespace-clean
Source0:	https://cpan.metacpan.org/authors/id/R/RI/RIBASUSHI/namespace-clean-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	coreutils findutils make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter >= 5.12
BuildRequires:	perl(ExtUtils::MakeMaker) perl(File::Spec) perl(File::Temp) perl(File::Glob)
BuildRequires:	perl(base) perl(constant) perl(Exporter) perl(strict) perl(vars) perl(warnings)
BuildRequires:	perl(Config) perl(DB) perl(FindBin) perl(IPC::Open2) perl(lib) perl(sort)
BuildRequires:	perl(B::Hooks::EndOfScope) >= 0.12
BuildRequires:	perl(Package::Stash) >= 0.23
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%perl_version)
Requires:	perl(B::Hooks::EndOfScope) >= 0.12
Requires:	perl(Package::Stash) >= 0.23

%description
The namespace::clean is a Perl pragma for keeping imported functions out of the current
namespace. This is especially important because Perl functions are naturally available
as methods, which can complicate subclassing. Using the namespace::clean pragma will
remove all previously declared or imported symbols at the end of the current package's
compile cycle. This means that functions called in the package itself will still be
bound by their name, but they won't show up as methods on your class or instances.

%prep
%autosetup -n namespace-clean-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes t/
%{perl_vendorlib}/namespace/
%{_mandir}/man3/namespace::clean.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.27-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.27-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 08 2022 ZoeDong <zoedong@tencent.com> - 0.27-1
- Initial build

